CVE-2004-0590

2004-12-06T05:00:00
ID CVE-2004-0590
Type cve
Reporter cve@mitre.org
Modified 2017-07-11T01:30:00

Description

FreeS/WAN 1.x and 2.x, and other related products including superfreeswan 1.x, openswan 1.x before 1.0.6, openswan 2.x before 2.1.4, and strongSwan before 2.1.3, allows remote attackers to authenticate using spoofed PKCS#7 certificates in which a self-signed certificate identifies an alternate Certificate Authority (CA) and spoofed issuer and subject.